# Yahoo! UI Library

### TreeView Widget 2.2.2

Yahoo! UI Library > treeview > YAHOO.widget.RootNode

## Class YAHOO.widget.RootNode - extends YAHOO.widget.Node

A custom YAHOO.widget.Node that handles the unique nature of the virtual, presentationless root node.

### Constructor

YAHOO.widget.RootNode `( oTree )`

Parameters:
  `oTree <YAHOO.widget.TreeView>` The tree instance this node belongs to

#### Properties inherited from YAHOO.widget.Node:

`_dynLoad, _type, children, childrenRendered, data, dataLoader, depth, dynamicLoadComplete, expanded, hasIcon, href, iconMode, index, isLoading, multiExpand, nextSibling, nowrap, parent, previousSibling, renderHidden, target, tree`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

#### Methods inherited from YAHOO.widget.Node:

`appendChild, appendTo, applyParent, collapse toggle style., collapseAll, completeRender, expand, expandAll, getAncestor, getChildrenEl, getChildrenElId, getChildrenHtml, getDepthStyle, getEl, getElId, getHoverStyle, getHtml, getIconMode, getNodeHtml, getSiblings, getStyle, getToggleEl, getToggleElId, getToggleLink, hasChildren, hideChildren, init, insertAfter, insertBefore, isChildOf, isDynamic, isRoot, loadComplete, refresh, renderChildren, setDynamicLoad, showChildren, toggle, toString`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.widget.Node:

`parentChange`

Copyright © 2007 Yahoo! Inc. All rights reserved.